### File

`packages/eui/packages/components-next/src/lib/layout/eui-search/search.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-search`
styleUrls | `./_styles/_index.scss`
templateUrl | `./search.component.html`

### Index

###### Properties
isActive
###### Methods
onBackClicked onSearchClicked onToggle
###### HostBindings
class

### Constructor

`constructor()`

### HostBindings

class

### Methods

onBackClicked
`onBackClicked(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

onSearchClicked
`onSearchClicked(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

onToggle
`onToggle(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

isActive
Default value : `false`

# result-matching ""

# No results matching ""